new;
cc=xlsread('test.xlsx');
cc=cc(:,6:7);
x1=cc(:,1);
x2=cc(:,2);
m1=mean(cc(:,1));
m2=mean(cc(:,2));
v1=var(cc(:,1));
v2=var(cc(:,2));
s1=std(cc(:,1));
s2=std(cc(:,2));
samples=length(cc(:,1));
x=1:samples;

figure;
plot(x1,'o');
hold on;
y=repmat(m1,1,samples);
plot(x,y,'r');
plot(x,y-s1,'g');
plot(x,y+s1,'g');
plot(x,y-v1,'k');
plot(x,y+v1,'k');
grid;
axis tight;
xlabel('samples');
ylabel('values');
set(gcf,'Name','color-based stats');
title(sprintf('Mean=%.3f, Var=%.3f, Std=%.3f',mean(cc(:,1)),var(cc(:,1)),std(cc(:,1))))

figure;
plot(x2,'o');
hold on;
y=repmat(m2,1,samples);
plot(x,y,'r');
plot(x,y-s2,'g');
plot(x,y+s2,'g');
plot(x,y-v2,'k');
plot(x,y+v2,'k');
grid;
axis tight;
xlabel('samples');
ylabel('values');
set(gcf,'Name','music-based stats');
title(sprintf('Mean=%.3f, Var=%.3f, Std=%.3f',mean(cc(:,2)),var(cc(:,2)),std(cc(:,2))))

figure;
scatter(x1,x2);
hold on;
xx=0:.1:1;
yy=1+tan(deg2rad(-45))*xx;
plot(xx,yy,'r');
grid;
axis tight;
xlabel('c1:color-based feature');
ylabel('c2:music-based feature');
set(gcf,'Name','2-D stats');
title(sprintf('Mean=[%.3f,%.3f], Var=[%.3f,%.3f], Std=[%.3f,%.3f], Cov=[%.3f,%.3f;%.3f,%.3f]',mean(cc),var(cc),std(cc),cov(cc)))
m=mean(cc);
v=var(cc);
s=std(cc);
plot(m(1),m(2),'xr');
plot(s(1),s(2),'xg');
plot(v(1),v(2),'xk');
